# $Revision: 1.13 $, $Date: 2005/11/05 23:39:39 $
Summary:	General-purpose distributed lock manager
Summary(pl):	Zarzdca rozproszonych blokad oglnego przeznaczenia
Name:		dlm
Version:	1.01.00
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	ftp://sources.redhat.com/pub/cluster/releases/cluster-%{version}.tar.gz
# Source0-md5:	e98551b02ee8ed46ae0ab8fca193d751
URL:		http://sources.redhat.com/cluster/dlm/
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DLM lock manager is a kernel-based VMS-like distributed lock
manager. It is general purpose and not specific to only GFS or CLVM.
Kernel and userspace locking API's are available.

%description -l pl
Zarzdca blokad DLM to oparty na jdrze zarzdca rozproszonych blokad
w stylu VMS. Jest oglnego przeznaczenia, przeznaczonym nie tylko dla
GFS-a czy CLVM-a. Dostpne s API blokowania w jdrze i przestrzeni
uytkownika.

%package devel
Summary:	Header files and development documentation for DLM
Summary(pl):	Pliki nagwkowe i dokumentacja programisty dla DLM-a
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for DLM.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty dla DLM-a.

%package static
Summary:	Static DLM library
Summary(pl):	Statyczna biblioteka DLM
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static DLM library.

%description static -l pl
Statyczna biblioteka DLM.

%prep
%setup -q -n cluster-%{version}
install -d %{name}/include/cluster
install %{name}-kernel/src/{dlm.h,dlm_device.h} %{name}/include/cluster

cd %{name}
%{__perl} -pi -e 's/-g -O/%{rpmcflags}/' lib/Makefile

%build
cd %{name}
./configure \
	--incdir=%{_includedir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir}

%{__make} \
	CC="%{__cc}" \
	incdir=`pwd`/include

%install
rm -rf $RPM_BUILD_ROOT
cd %{name}
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_includedir}/cluster
install include/cluster/*.h $RPM_BUILD_ROOT%{_includedir}/cluster

mv $RPM_BUILD_ROOT%{_libdir}/libdlm.so.*.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libdlm.so.*.*) \
        $RPM_BUILD_ROOT%{_libdir}/libdlm.so

mv $RPM_BUILD_ROOT%{_libdir}/libdlm_lt.so.*.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libdlm_lt.so.*.*) \
        $RPM_BUILD_ROOT%{_libdir}/libdlm_lt.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libdlm*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.txt
%attr(755,root,root) %{_libdir}/libdlm*.so
%{_includedir}/libdlm.h
%{_includedir}/cluster

%files static
%defattr(644,root,root,755)
%{_libdir}/libdlm*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dlm.spec,v $
Revision 1.13  2005/11/05 23:39:39  arekm
- update to 1.01.00 release

Revision 1.12  2005/06/21 20:50:11  qboosh
- release .3

Revision 1.11  2005/06/21 16:19:32  qboosh
- merged libs move to /%{_lib} from AC-branch
- package missing libdlm_lt .so symlink and static library

Revision 1.10.2.1  2005/06/20 12:09:39  baggins
- release 2
- so libs moved to /lib (lvm2 req)

Revision 1.10  2005/04/14 19:15:32  qboosh
- lib License is LGPL v2+, more verbose files

Revision 1.9  2005/04/14 18:18:04  qboosh
- updated dlm-kernel headers - now builds

Revision 1.8  2005/04/09 12:09:46  paszczus
- updated to 1.0pre21
- removed DESTDIR.patch
- adapratized

Revision 1.7  2004/12/09 11:30:00  paladine
- spaces->tabs
- cosmetics

Revision 1.6  2004/07/03 15:57:09  qboosh
- there is no Epoch in this spec

Revision 1.5  2004/07/03 15:56:05  qboosh
- include dlm.h,dlm_device.h (in /usr/include/cluster), don't use kernel-headers
- use optflags, BR: perl-base (configure is writte in perl)

Revision 1.4  2004/06/26 23:31:08  arekm
- fix URL

Revision 1.3  2004/06/25 16:49:12  qboosh
- pl

Revision 1.2  2004/06/25 10:52:08  arekm
- include docs

Revision 1.1  2004/06/25 10:46:38  arekm
- initial pld release
